package router

import (
	"gin-vue-admin/api/mobile"
	"gin-vue-admin/middleware"
	"github.com/gin-gonic/gin"
)

func InitSurveyRouter(Router *gin.RouterGroup) {
	DataVipCommentRouter := Router.Group("survey").Use(middleware.OperationRecord())
	{
		DataVipCommentRouter.POST("getSurveyUserList", mobile.GetSurveyUserList)
		DataVipCommentRouter.POST("getSurveyLogList", mobile.GetSurveyLogList)
	}
}

func InitSurveyPublicRouter(Router *gin.RouterGroup) {
	DataVipCommentRouter := Router.Group("survey").Use(middleware.OperationRecord())
	{
		DataVipCommentRouter.POST("create", mobile.CreateSurveyUser)
		DataVipCommentRouter.POST("createData", mobile.CreateSurveyUserData)
		DataVipCommentRouter.POST("createLog", mobile.CreateSurveyLog)
		DataVipCommentRouter.GET("exportSurveyUserExcel", mobile.ExportSurveyUserExcel)
	}
}
